package com.cultural.heritage.model.vo.order;

import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.math.BigDecimal;

@Data
public class PendingServiceOrderVO implements Serializable {


    /**
     * 服务类订单待处理id
     */
    private Long id;


    /**
     * 订单明细id
     */
    private Long orderItemId;


    /**
     * 订单号
     */
    private String orderNumber;


    /**
     * 用户id
     */
    private Long userId;


    /**
     * 用户姓名
     */
    private String name;


    /**
     * 手机号
     */
    private String phone;


    /**
     * 购买数量
     */
    private Integer quantity;


    /**
     * 预估支付金额
     */
    private BigDecimal itemTotalAmount;


    /**
     * 订单明细状态
     */
    private String orderItemStatus;


    /**
     * 服务类商品待处理id
     */
    private Long pendingId;




    @Serial
    private static final long serialVersionUID = 1L;
}
