package com.cultural.heritage.model.vo.user;

import lombok.Data;

import java.io.Serial;
import java.io.Serializable;

@Data
public class UserMainInfoVO implements Serializable {


    /**
     * 主键
     */
    private Long id;

    /**
     * 账号
     */
    private String userAccount;

    /**
     * 密码
     */
    private String userPassword;


    /**
     * 用户昵称
     */
    private String userName;

    /**
     * 用户头像
     */
    private String userAvatar;

    /**
     * 积分
     */
    private Integer points;

    /**
     * 用户身份
     */
    private String userRole;


    @Serial
    private static final long serialVersionUID = 1L;
}
